Votre navigateur ne prend pas en charge le javascript, dès lors, certaines fonctionnalités ne sont pas disponibles
Échanger des données via des services web

Informations générales

FAQ

Où puis-je trouver les WSDL/XSD ?

Comme présenté sur la page catalogue de Webservices, les WSDL/XSD sont présents dans le contrat du service, qui est un fichier zip conteneur.

Quelle version de SoapUI dois-je utiliser ?

Nous conseillons la version 5.2.1 de SoapUI. Nous avons testé avec cette version.

Téléchargez la version 5.2.1 de SoapUI Nouvelle fenêtre.

Quand j'essaie d'obtenir le certificat, une erreur 19 apparaît, que faire?

Vous obtenez cette erreur car OpenSSL ne sait pas s’il peut faire confiance au certificat ROOT.  Il faut donc ajouter l'argument «-showcerts».

Vous pouvez télécharger le fichier zip contenant les certificats utilisés via la page "Environnements".

Puis-je consulter un exemple d’implémentation dans Java ?

Oui. Pour faciliter l’implémentation de votre webservice client, vous pouvez consulter les exemples suivants.  

  • La première version utilise l’implémentation de référence JAX-WS.zip - Nouvelle fenêtre dans Java 8 combinée avec wss4j pour WS-Security.
  • La deuxième version utilise JAX-WS/CXF.zip - Nouvelle fenêtre.

Attention: le code exemple fourni ici est purement informatif. Bien que le plus grand soin ait été accordé à sa rédaction, il n’est donné aucune garantie quant à son actualité, sa précision, son exactitude, son exhaustivité ou sa pertinence. Ni l’ONSS ni aucune autre instanceresponsable du contenu du portail ne peuvent être tenus responsables de quelque manière que ce soit des éventuelles conséquences de l’utilisation de ce code.

Pour information: l’usage de Java n’est pas une obligation. Des implémentations alternatives seront éventuellement ajoutées dans le futur.